@keyframes backgroundChange {
    0% {
        background: var(--backgroundChangeBefore);
    }
    100% {
        background: var(--backgroundChangeAfter);
    }
}

[shimmer] {
    mask-position: right;
    mask-size: 450% 100%;
    mask-image: linear-gradient(-60deg, rgba(255, 255, 255, .85) 35%, #fff 45%, rgba(255, 255, 255, .85) 55%);
}

@keyframes shimmer {
    100% {
        mask-position: left;
    }
}

@property --num {
    syntax: '<integer>';
    initial-value: 0;
    inherits: false;
}
